org.apache.struts2.convention

## Class DefaultClassFinder.InfoBuildingVisitor

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - org.apache.struts2.convention.DefaultClassFinder.InfoBuildingVisitor

- Enclosing class:
    DefaultClassFinder

      public class DefaultClassFinder.InfoBuildingVisitor
      extends org.objectweb.asm.ClassVisitor

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.ClassVisitor

      `api, cv`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultClassFinder.InfoBuildingVisitor(ClassFinder.Info info, ClassFinder classFinder)`
    `DefaultClassFinder.InfoBuildingVisitor(ClassFinder classFinder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
    `org.objectweb.asm.AnnotationVisitor` | `visitAnnotation(String desc, boolean visible)`
    `org.objectweb.asm.FieldVisitor` | `visitField(int access, String name, String desc, String signature, Object value)`
    `org.objectweb.asm.MethodVisitor` | `visitMethod(int access, String name, String desc, String signature, String[] exceptions)`

    - ### Methods inherited from class org.objectweb.asm.ClassVisitor

      `visitAttribute, visitEnd, visitInnerClass, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubtypeExperimental, visitRecordComponentExperimental, visitSource, visitTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultClassFinder.InfoBuildingVisitor

          public DefaultClassFinder.InfoBuildingVisitor(ClassFinder classFinder)

    - #### DefaultClassFinder.InfoBuildingVisitor

          public DefaultClassFinder.InfoBuildingVisitor(ClassFinder.Info info,
                                                ClassFinder classFinder)

  - ### Method Detail

    - #### visit

          public void visit(int version,
                   int access,
                   String name,
                   String signature,
                   String superName,
                   String[] interfaces)

      Overrides:
        `visit` in class `org.objectweb.asm.ClassVisitor`

    - #### visitAnnotation

          public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                            boolean visible)

      Overrides:
        `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

    - #### visitField

          public org.objectweb.asm.FieldVisitor visitField(int access,
                                                  String name,
                                                  String desc,
                                                  String signature,
                                                  Object value)

      Overrides:
        `visitField` in class `org.objectweb.asm.ClassVisitor`

    - #### visitMethod

          public org.objectweb.asm.MethodVisitor visitMethod(int access,
                                                    String name,
                                                    String desc,
                                                    String signature,
                                                    String[] exceptions)

      Overrides:
        `visitMethod` in class `org.objectweb.asm.ClassVisitor`

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.